## resvg_parse_tree_from_file

# Function resvg_parse_tree_from_file

Source

    #[unsafe(no_mangle)]pub extern "C" fn resvg_parse_tree_from_file(
        file_path: *const c_char,
        opt: *const resvg_options,
        tree: *mut *mut resvg_render_tree,
    ) -> i32

Expand description

@brief Creates #resvg_render_tree from file.

.svg and .svgz files are supported.

See #resvg_is_image_empty for details.

@param file_path UTF-8 file path. @param opt Rendering options. Must not be NULL. @param tree Parsed render tree. Should be destroyed via #resvg_tree_destroy. @return #resvg_error